# The SplInt class

(PECL spl_types >= 0.1.0)

## Introduction

The SplInt class is used to enforce strong typing of the integer type.

## Class synopsis

SplInt extends SplType {
/* Constants */
const integer __default = 0 ;
/* Inherited methods */
SplType::__construct ([ mixed `$initial_value` [, bool `$strict` ]] )
}

## Predefined Constants

`SplInt::__default`

## Examples

Example #1 SplInt usage example

`<?php
$int = new SplInt(94);
try {
$int = 'Try to cast a string value for fun';
} catch (UnexpectedValueException $uve) {
echo $uve->getMessage() . PHP_EOL;
}
echo $int . PHP_EOL;
?>`

The above example will output:

    Value not an integer
    94